/*
Theme Name:   Omega thème
Theme URI:    https://agenceomega.fr/
Description:  Agence de communication
Author:       Benoit ROMEO
Author URI:   https://www.agenceomega.fr/
Template:     Divi
*/

/* 
 * 
 * COULEURS 
 * 
 * Arobase : #ED7F13
 * Omega : #e30b13
 * 
 */

:root {
	--main-color: #1207EB;
	--createur-color: #e30b13;
}

/* -- MENU -- */
/*#top-menu-nav { margin-top:-15px !important }
.btn_contact {
	background-color: --main-color;
	color: #fff;
	padding: 0 !important;
}
.btn_contact a, body .et-fixed-header #top-menu li.btn_contact>a {
	color: #fff !important;
	padding: 15px 25px 15px 25px !important;
}*/

/*CSS to make sure the Quantity and Add to cart button are next to each other*/

.product .cart {
	display: flex;
	flex-flow: column wrap;
	align-content:center;
	justify-content: center;
	align-items:center;
	gap:10px;
	margin-top: 10px;
}

.product .cart button[type="submit"] {
    margin: 0 10px !important;
}

/*Styling the Add to cart*/

.woocommerce ul.products li.product .button {
	color: #FFFFFF !important;
    border-width: 0px !important;
    border-color: #FFFFFF;
    border-radius: 50px;
    font-size: 16px;
    font-family: 'Titillium Web', Helvetica, Arial, Lucida, sans-serif !important;
    font-weight: 500 !important;
    text-transform: uppercase !important;
    background-image: linear-gradient(45deg, #1207eb 40%, #4a1972 100%);
	padding-top: 8px !important;
    padding-right: 40px !important;
    padding-bottom: 8px !important;
    padding-left: 40px !important;
	line-height: 1.7em !important;
}

.woocommerce ul.products li.product .button:hover {
	line-height: 1.7em !important;
	color: #FFFFFF !important;
	background-color:#111111 !important;
    padding-top: 8px !important;
    padding-right: 40px !important;
    padding-bottom: 8px !important;
    padding-left: 40px !important;);
}

body .woocommerce div.product form.cart div.quantity, .woocommerce-page div.product form.cart div.quantity {
	margin:0 !important;
}

/*Adding some Hover effect to buttons*/

.woocommerce ul.products li.product .button:hover {
	background: #0df1a5; /* button background color on hover */
	color: #fff; /* button icon color on hover */
	box-shadow: 0px 3px 20px #07B98A36;
}


/*Disables the icon appear when you hover to add to cart button*/

.woocommerce ul.products li.product .button:after {
	display: none
}
form.cart button.btn-qty:hover { line-height:1em !important; padding: 0.3em 1em !important }

/* -- MENU -- */
/*#top-menu-nav { margin-top:-15px !important }
.btn_contact {
	background-color: --main-color;
	color: #fff;
	padding: 0 !important;
}
.btn_contact a, body .et-fixed-header #top-menu li.btn_contact>a {
	color: #fff !important;
	padding: 15px 25px 15px 25px !important;
}*/

td.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions a {
    color: white !important;
}
/* Menu */
.hide-on-desktop{
	display: none !important;
}
.menu-opened{
	overflow: hidden !important;
}
.custom-menu .et_pb_column_2_tb_header{
	width: 140px;
}

.custom-menu .et_pb_menu__logo-wrap{
	min-width: 170px !important;
}
.custom-menu .et_pb_column.et_pb_column_1_4.et_pb_column_2_tb_header{
	width: auto !important;
}
.custom-menu .et_pb_column_1_tb_header{
	width: calc(100% - 140px) !important;
    margin-right: 0px !important;
}
.custom-menu #menu-menu-principal, .custom-menu .et_pb_menu__wrap{
	flex-wrap: nowrap !important;
}

/* Woocommerce */
.qib-container {
	display:flex !important;
}
.woocommerce-variation-price .price{
	font-family: 'Poppins',Helvetica,Arial,Lucida,sans-serif;
    font-weight: 700;
    font-size: 32px!important;
    color: #17181B!important;
}
.price_per_kg{
	font-family: 'Poppins',Helvetica,Arial,Lucida,sans-serif;
	font-style: italic;
}
.wcpa_form_outer {
    margin: 1em 0 0em;
}
.wcpa_total{
	font-weight: bold;
}
.woocommerce div.product .add-to-card-custom form.cart div.quantity{
	margin-right: 0px !important;
	width: 100%;
	margin-bottom: 1em !important;
}
.add-to-card-custom .quantity .screen-reader-text{
	display:none
    height: auto;
    clip-path: none;
    text-align: center;
    width: 100%;
    display: inline-block !important;
	line-height: 1.1em !important;
	text-transform: capitalize;
}
.add-to-card-custom .quantity input[type="number"]{
	width: 100% !important;
    display: block !important;
    max-width: 100% !important;
    text-align: left !important;
}

.loop-product a.button{
	color: #ffffff!important;
    border-width: 0px!important;
    border-color: #000000;
    font-size: 20px;
    font-family: 'Josefin Sans',Helvetica,Arial,Lucida,sans-serif!important;
    background-color: #ee734a
}
.loop-product a.button:hover{
	background-color: #87b640;
}
.loop-product a.button::after{
	font-size: 28px;
}

.et_pb_shop_1 .et_shop_image .et_overlay::before, 
.et-db #et-boc .et-l .et_pb_shop_0_tb_body .et_shop_image .et_overlay:before,
.et_pb_wc_related_products_0_tb_body .et_shop_image .et_overlay:before, 
.et_pb_wc_related_products_0_tb_body .et_shop_image .et_pb_extra_overlay:before
{
    color: #ffffff!important;
}

/**
 * Hjqs Drawer Woocommerce Menu
 ***/
.hjqs_wc_drawer_menu_activator{}
.admin-bar .hjqs_wc_drawer_menu{
	top: 32px;
}
.hjqs_wc_drawer_menu{
	/*height: 100%;*/
	width: 300px;
	position: fixed;
	z-index: 999999;
	top: 0;
	bottom: 0px;
	right: -350px;
	background-color: #ffffff;
	overflow-x: hidden;
	padding-top: 0px;
	transition: 0.5s;
    box-shadow: 0px 2px 8px 0px rgba(0,0,0,0.1);
}
.hjqs_wc_drawer_menu_body{
	display: flex;
	height: 100%
}
.hjqs_wc_drawer_menu_body .widget_shopping_cart{
display: flex;
    flex-direction: column;
}
.hjqs_wc_drawer_menu_body .widget_shopping_cart_content{
    display: flex;
    flex-direction: column;
    flex: 1;
}
.hjqs_wc_drawer_menu_body .widget_shopping_cart_content ul.cart_list{
	flex: 1;
}
.hjqs_wc_drawer_menu_body .widget_shopping_cart_content .woocommerce-mini-cart__total.total {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    padding: 10px;
    border-top: 1px solid #ebe9eb;
    border-bottom: 1px solid #ebe9eb;
    margin-bottom: 0px;
}
.hjqs_wc_drawer_menu_body .widget_shopping_cart_content .woocommerce-mini-cart__total.total strong{
	font-weight: normal;
    font-size: 16px;
    padding-top: 5px;
    padding-right: 5px;
}
.hjqs_wc_drawer_menu_body .woocommerce-mini-cart__buttons.buttons{
	display: flex;
	    min-height: 40px;
    align-items: center;
	    gap: 0px;
}
.hjqs_wc_drawer_menu_body .woocommerce-mini-cart__buttons.buttons a{
    margin: 0px !important;
    border: 0px;
    font-size: 18px;
    flex: 1;
    text-align: center;
    padding: 10px 10px !important;
	background-color:#1207EB;
	color: white !important;
	border-radius: 0;
}
.hjqs_wc_drawer_menu_body .woocommerce-mini-cart__buttons.buttons a:hover{
	background-color:#87b640;
}
.hjqs_wc_drawer_menu_body .woocommerce-mini-cart__buttons.buttons a:after{
	font-size: 24px !important;
	display: none;
}
.hjqs_wc_drawer_menu_body .woocommerce-mini-cart__buttons.buttons a:hover{
    margin: 0px !important;
    border: 0px;
    font-size: 18px;
    flex: 1;
    text-align: center;
    padding: 10px 10px !important;
	padding-right: 15px;
	color: white !important;
	border-radius: 0;
	
}
.hjqs_wc_drawer_menu_active{
	right: 0px
}
.hjqs_wc_drawer_menu_header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
    border-bottom: 1px solid #ebe9eb;
}
.hjqs_wc_drawer_menu_header h2{
	padding-bottom: 0px !important;
	font-size: 24px;
}
.hjqs_wc_drawer_menu_header a{
	cursor: pointer;
}

.hjqs_wc_drawer_menu_body .remove.remove_from_cart_button{
    right: -40px !important;
    bottom: 0;
    width: 40px;
    height: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(0 0 0 / 60%);
    border-radius: 0;
    left: auto !important;
	transition: all 0.2s;
	font-size: 0;
}
.hjqs_wc_drawer_menu_body .remove.remove_from_cart_button::before{
    content: "\f1f8";
    font-size: 14px;
    color: white;
    font-family: 'Font Awesome 5 Free';
	transition: all 0.2s;
}
.hjqs_wc_drawer_menu_body .remove.remove_from_cart_button:hover{
	background: rgb(255 0 0 / 70%) !important;
}
.hjqs_wc_drawer_menu_body .remove.remove_from_cart_button:hover::before{
	transform: scale(1.1)
}
.hjqs_wc_drawer_menu_body .mini_cart_item:hover .remove.remove_from_cart_button{
	right: 0px !important;
}
.hjqs_wc_drawer_menu_body .mini_cart_item{
    padding-left: 0px !important;
    padding-bottom: 0px !important;
	border-bottom: 1px solid #ebe9eb;
}
.hjqs_wc_drawer_menu_body .attachment-woocommerce_thumbnail.size-woocommerce_thumbnail{
	width: 90px;
	margin-left: 15px;    
	margin-top: -20px;
}
.hjqs_wc_drawer_menu_body .mini_cart_item a + a{
	padding-left: 20px;
	font-size: 18px;
	line-height: 17px;
	font-weight: normal !important;
	    margin-top: 20px;
}
.hjqs_wc_drawer_menu_body .mini_cart_item .quantity{
	padding-left: 20px;
	font-size: 12px;
}
.hjqs_wc_drawer_menu_body .mini_cart_item a + a::after{
    content: 'Voir le produit';
    position: absolute;
    top: 0;
    bottom: 0;
    background-color: rgb(0 0 0 / 64%);
    left: -340px;
    width: calc(100% - 40px);
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: bold;
	transition: all 0.5s 0.2s;
}
.hjqs_wc_drawer_menu_body .mini_cart_item a + a:hover::after{
    text-decoration: underline;
}
.hjqs_wc_drawer_menu_body .mini_cart_item:hover  a + a::after{
	left: 0px;
}
span.hjqs_wc_drawer_menu_activator_badge_content {
    position: absolute;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    border-radius: 50px;
    color: #FFF;
    font-weight: bold;
    font-size: 16px;
    line-height: 25px;
    margin-left: 30px;
    margin-top: -30px;
    border: 0;
    background-image: linear-gradient(45deg, #1207eb 40%, #4a1972 100%);
}
ul#menu-compte-panier>li:last-child>a, ul#menu-sinscrire-se-connecter>li:last-child>a {
	color:#FFF !important
}
ul#menu-compte-panier>li:last-child:before, ul#menu-sinscrire-se-connecter>li:last-child:before {
	content: "";
    display: block;
    position: absolute;
    top: -12px;
    left: 0;
    background-color: #1207EB;
    width: 130%;
    height: 160%;
    border-radius: 15px;
	transition: all .2s ease !important;
}
ul#menu-compte-panier>li:last-child:hover:before, ul#menu-sinscrire-se-connecter>li:last-child:hover:before {
    background-color: #87b640;
}

.hjqs_wc_drawer_menu_body .widget_shopping_cart{
	width: 100%;
}
.hjqs_wc_drawer_menu_body .woocommerce-mini-cart__empty-message{
	padding: 20px;
}
.hjqs_wc_drawer_menu_header button{
	background: transparent;
    border: none;
	cursor: pointer;
}
.hjqs_wc_drawer_menu_header svg{
	color: rgb(255 0 0 / 70%) !important
}
.hjqs_wc_drawer_menu_body .variation-Nombredepochessousvide,
.hjqs_wc_drawer_menu_body .variation-Rpartitiondespochessousvide{
	display: none !important;
}


/* -- ONGLET PERSO --*/
.onglet ul.clearfix {
    display: flex;
    flex-wrap: wrap !important;
    justify-content: center !important;
}
ul.et_pb_tabs_controls {
    background-color: transparent !important;
}
.cloud-it .et_pb_row {
    width: 100% !important;
}
.et_pb_tabs_controls li.et_pb_tab_active {
    background-color: var(--main-color) !important;
}
.et_pb_tabs, .et_pb_wc_tabs {
    border: 0px solid #d9d9d9 !important;
}
.single-product #top-menu li a {
    color: #000 !important;
}
.cloud-it .et_pb_column_7 {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}
.et-pb-arrow-prev {
    color: #fff !important;
}
.et-pb-arrow-next {
    color: #fff !important;
}
.et_pb_bg_layout_light .et-pb-controllers a {
    background:     #fff !important;
}


/* -- ADMINISTRATION WORDPRESS -- */
#adminmenu li.wp-menu-separator {
    background: #FFF;
    height: 1px;
    margin: 4px 8px;
}
#adminmenu li.wp-menu-separator {
    height: 5px;
    padding: 0;
    margin: 0 0 6px;
    cursor: inherit;
}


/* -- TIMELINE -- */
.dipi_timeline_item_card-wrap { backdrop-filter:blur(4px); }


/* -- BLOG -- */
.display_wtitle .widgettitle { display:none; }


/* -- CONTACT --*/
.et-pb-contact-message { color:#fff !important; }


/* -- BOUTON HAUT DE PAGE -- */
.et_pb_scroll_top.et-pb-icon { background-color: var(--main-color) !important; }


/* -- FOOTER --*/
body .footer-link a { transition: color 300ms ease 0ms; }
body .footer-link a:hover { color:var(--main-color) !important; transition: color 300ms ease 0ms; }
body .footer-link a.link_createur { color:var(--createur-color) !important; }


/* -- DIVI MOBILE -- */
#dm-menu .sub-menu { margin-top:20px !important; padding:0 !important; }


/* -- FIX BUGS -- */
.et-fixed-header #et-top-navigation { min-height:0 !important; }
.cookie-notice-container { margin-top:5px !important; }
.omega-cookies { background-color:var(--main-color) !important; color: #FFF; padding: 5px 15px; border-radius: 30px; }


/* -- TIPS DIVI -- */
.align-last-module { display:flex; flex-flow:column nowrap; }
.align-last-module>div:last-child { margin-top:auto !important; padding-top:30px; }
.va-center { align-items:center !important; }
.cva-center { display:flex; flex-direction:column; justify-content:center; }


/* TABLETS */
@media all and ( max-width: 980px) {
	.reverse-column { display:flex !important; flex-direction:column-reverse !important; }
	.reverse-column>div.et_pb_column:first-child { margin-bottom:0 !important; }
	.reverse-column>div.et_pb_column:last-child { margin-bottom:30px !important; }
	.special-reverse-column>div { display:flex !important; flex-direction:column-reverse !important; }
	.special-reverse-column>div>div.et_pb_column:first-child { margin-bottom:0 !important; }
	.special-reverse-column>div>div.et_pb_column:last-child { margin-bottom:30px !important; }
}

/* MOBILE */
@media all and ( max-width: 767px) {
    
}